# Each page blueprint must have a title, the title may be different from the file name
title: Projet

# Page status can be limited, here to `draft` and `listed`.
# More about page status: https://getkirby.com/docs/reference/panel/blueprints/page#statuses
status:
  draft: true
  listed: true

# Define the form layout with two columns
# Columns are optional but help structure the form layout
# The first column defines an files section, the second a set of fields
# More about different types of sections: https://getkirby.com/docs/reference/panel/sections
# More about columns: https://getkirby.com/docs/guide/blueprints/layout#defining-columns



columns:
  - width: 1/2
    fields:
      imageCover:
          label: Photo de couverture
          extends: fields/cover
          layout: cards
          size: large
          image:
            ratio: 5/4
            cover: false
            back: white

  - width: 1/2
      fields:
        tags:
          label: catégories
          type: tags
        subheadline:
          label: Texte de description court (visible sur les pages home et portfolio)
          type: writer
          marks:
            - bold
            - italic
            - strike
        texte:
          label: Texte de description long (visible sur la page projet)
          type: writer
          marks:
            - bold
            - italic
            - strike
            - link



  - width: 1/1
    fields:
      imageLayout:
        type: layout
        label: Mise en page
        layouts:
          - "1/1"
          - "1/2, 1/2"
          - "1/3, 1/3, 1/3"
          - "1/3, 2/3"
          - "2/3, 1/3"
          - "1/4, 1/4, 1/4, 1/4"
          - "1/4, 1/4, 1/2"
          - "1/4, 1/2, 1/4"
          - "1/2, 1/4, 1/4"
        fieldsets:
          text:
            label: Text
            type: group
            fieldsets:
              - heading
              - text
              - list
          media:
            label: Media
            type: group
            fieldsets:
              - image
              - video
  - width: 1/1
    sections:
      fichiers:
        type: files